﻿
@model ViewSearchUsersModel

@{
    Layout = "_Layout";
}


@*@Html.Action("GetItemsPage",1)*@

<h3 class="p-2 bg-primary text-white text-center">Поиск пользователей</h3>

<form asp-action="SearchUsers" method="get">
    <div class="form-row">

        <div class="form-group col-md-10">
            <label for="lastName" class="control-label"> Поиск по фамилии</label>
            <input id="lastName" type="text" class="form-control" name="lastName" placeholder="Введите фамилию пользователя для поиска ">
        </div>
        <div class="form-group col-md-2 d-flex flex-column">

            <button type="submit" class="btn btn-block btn-primary mt-auto">Поиск</button>
        </div>

    </div>
</form>

@if (Model != null)
{
    <div class="text-md-left">
        @Html.Partial("Pages", Model.PagedListUser)
        @{
            ViewBag.Searches = new Dictionary<string, string> { ["Dolgn"] = "Должности", ["Fam"] = "Фамилии пользователя" };
            ViewBag.sorts = new Dictionary<string, string> {["Kod"] = "Id пользователя", ["Dolgn"] = "Должности",  ["Im"] = "Имя пользователя" };
        }
        @Html.Partial("PageOptions", Model.PagedListUser)
    </div>
}

<div class="container-fluid mt-3">

    <div class="form-row">

        <table class="table table-sm table-hover table-bordered ">
            <caption>Учетные записи</caption>
            <thead>
                <tr class="d-flex">
                    <th class="text-center col-1" scope="col">#</th>
                    <th class="text-center col-2" scope="col">Имя пользователя</th>
                    <th class="text-center col-3" scope="col">ФИО пользователя</th>
                    <th class="text-center col-3" scope="col">Должность пользователя</th>
                    <th class="text-center col-3" scope="col">Операции с пользователем</th>
                </tr>
            </thead>
            <tbody>
                @if (Model != null)
                {

                    @for (int i = 0; i < Model.PagedListUser.Count(); i++)
                    {
                        <input asp-for="@Model.PagedListUser[i].Kod" type="hidden" value="@Model.PagedListUser[i].Kod" />
                        <input asp-for="@Model.PagedListUser[i].UserId" type="hidden" value="@Model.PagedListUser[i].UserId" />
                        <tr class="d-flex">
                            <td class="text-center col-1"> @(@i + 1) </td>
                            <td class="text-center col-2">@Model.PagedListUser[i].Im </td>
                            <td class="text-center col-3">@Model.PagedListUser[i].EmployeeFullName </td>
                            <td class="text-center col-3">@Model.PagedListUser[i].Dolgn </td>
                            <td class="text-center col-3">
                                <div class="btn-group" role="group">
                                    <div class="col">
                                        <form method="get">
                                            <button asp-controller="Home" asp-action="EditUserById"
                                                    class="btn btn-block btn-outline-primary" type="submit" name="editId" asp-route-id="@Model.PagedListUser[i].UserId">
                                                Редактировать
                                            </button>
                                        </form>
                                    </div>

                                    <div class="col ">
                                        <form method="post">
                                            <button asp-controller="Home" asp-action="DeleteUser"
                                                    class="btn btn-block btn-outline-danger" type="submit" name="deleteId" asp-route-id="@Model.PagedListUser[i].UserId">
                                                Удалить
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    }
                }

            </tbody>
        </table>
    </div>

</div>